#ifndef CORE_H_
#define CORE_H_

#include <pcap/pcap.h>

//Structure for store each packet

typedef struct packnode {
    struct pcap_pkthdr* pkthdr;
    u_char* packet;
    struct packnode* next;
} nodeData;

//----------------------------------------------------------------------------

void initCaptura(int argc, char *argv[]);

int insertEnd(const struct pcap_pkthdr*, const u_char*);

void *updateTableFunction(void *);
void packetprocessing(u_char *, const struct pcap_pkthdr*, const u_char*);
void *captureFunction(void *);

void *filterProcessFunction(void *);
void status();
int checkPreloadFile();


int toExitCapt();
void joinThreads();

#endif /* CORE_H_ */
